jQuery(document).ready(function($){
    imageSource($);
});

function imageSource($) {
    var $pageImages = $('div.page img');

    if ($pageImages.length) {
        $pageImages.each(function() {
            $source = $(this).data('desc');

            if ($source === undefined) {
                $source = $(this).data('image-description');
            }

            if ($source !== undefined && $source.length) {
                // clean html from desc
                $source = $('<div />').html($source).text();
                // create new P with text content from source
                var desc = $('<p class="source-desc"></p>').html($source);
                // append after images
                $(this).after(desc);
            }
        });
    }
}
